Bug 478150 - MIGRATED_FROM_JIRA: JDBC-Level Join
MIGRATED_FROM_JIRA: JDBC-Level Join
Status: MODIFIED
Product: penrose
Classification: Retired
Component: Engine (Show other bugs)
2.0
All Linux
low Severity low
: ---
: ---
Assigned To: Endi Sukma Dewata
Ben Levenson
:
Depends On:
Blocks: 471500
  Show dependency treegraph
 
Reported: 2008-12-27 03:04 EST by Chandrasekar Kannan
Modified: 2016-01-28 17:00 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Chandrasekar Kannan 2008-12-27 03:04:00 EST
Penrose will prepare as much SQL-joins within the data-source level before performing penrose join.
Additional Comments From endisd dated Thu Mar 22 17:58:26 CDT 2007 
In Penrose 1.2 the join operation will be performed in 2 levels: source and engine. In the source level, join operation will be executed natively on data sources that support join operation, e.g. JDBC. This way joining multiple tables from the same database will be fast. For other sources that don't support join, e.g. LDAP, join operation will be performed by the engine. At this time JDBC-level join has been completed, engine-level join will be implemented soon.


=========================================================
Issue dump from jira
$VAR1 = {
          'priority' => '3',
          'customFieldValues' => [],
          'project' => 'PENROSE',
          'status' => '5',
          'components' => [
                            {
                              'name' => 'Engine',
                              'id' => '10009'
                            }
                          ],
          'reporter' => 'jimyang',
          'key' => 'PENROSE-168',
          'assignee' => 'endisd',
          'summary' => 'JDBC-Level Join',
          'id' => '10513',
          'updated' => '2008-08-08 10:18:51.0',
          'votes' => '0',
          'fixVersions' => [
                           {
                             'releaseDate' => '2007-05-18 00:00:00.0',
                             'sequence' => '22',
                             'name' => 'Penrose-1.2',
                             'released' => 'true',
                             'id' => '10088',
                             'archived' => 'false'
                           }
                         ],
          'affectsVersions' => [
                               {
                                 'releaseDate' => '2006-08-21 00:00:00.0',
                                 'sequence' => '16',
                                 'name' => 'Penrose-1.0.4',
                                 'released' => 'true',
                                 'id' => '10086',
                                 'archived' => 'false'
                               }
                             ],
          'description' => 'Penrose will prepare as much SQL-joins within the data-source level before performing penrose join.',
          'created' => '2006-09-05 11:42:37.0',
          'resolution' => '1',
          'type' => '2'
        };


=========================================================
Comment 1 Chandrasekar Kannan 2008-12-27 03:04:02 EST
Marking bug as MODIFIED as it was already resolved in Jira - PENROSE-168

Note You need to log in before you can comment on or make changes to this bug.